/* ------------------------------------------------------------ *\
	Product
\* ------------------------------------------------------------ */

.product {

}

/* ------------------------------------------------------------ *\
	Product main
\* ------------------------------------------------------------ */

.product--main {
	h4 {
		margin-bottom: 16px;
		color: #000000;
		font-size: 19px;
		font-weight: 700;
		text-align: center;
	}

	p {
		line-height: 1.6;
	}

	a {
		text-decoration: none;
	}

	img {
		margin: 0 auto 34px;
	}

	.product__image {
		display: block;
		transition: opacity .4s;

		&:hover {
			opacity: .8;
		}
	}

	.product__inner {
		padding: 40px 50px 54px;
	}

	@media #{$mobile} {
		h4 {
			margin-bottom: 9px;
			letter-spacing: 0.13em;
		}

		.product__image {
			margin-bottom: 26px;
			padding: 0 16px;

			img {
				margin: 0 auto;
			}
		}

		.product__inner {
			padding: 34px 42px 15px;
		}
	}
}

/* ------------------------------------------------------------ *\
	product solid
\* ------------------------------------------------------------ */

.product--solid {
	.product__inner {
		background-color: #f5f5f5;
	}

}

/* ------------------------------------------------------------ *\
	Product primary
\* ------------------------------------------------------------ */

.product--primary {
	h5 {
		margin-bottom: 16px;
		letter-spacing: 0.02em;
	}

	p {
		margin-bottom: 21px;
		line-height: 1.6;
	}

	.product__image {
		margin-bottom: 15px;
		display: block;
		transition: opacity .4s;

		&:hover {
			opacity: .8;
		}

		img {
			width: 100%;
		}
	}

	.title {
		margin-bottom: 8px;

		h4 {
			font-weight: bold;
			font-family: $font-josefin-sans;
		}
	}

	@media #{$mobile} {
		p {
			margin-bottom: 16px;
			letter-spacing: 0.01em;
		}
		.product__image {
			max-height: 311px;
			overflow: hidden;
		}

		.title {
			margin-bottom: 8px;

			h4 {
				padding: 0 5px 0 8px;
				font-family: $font-fjalla-one;
				letter-spacing: 0.3em;
			}
		}
	}
}

/* ------------------------------------------------------------ *\
	Product secondary
\* ------------------------------------------------------------ */

.product--secondary {
	h6 {
		margin-bottom: 4px;
		color: #000000;
		font-size: 12px;
		font-weight: 600;
		text-transform: uppercase;
		line-height: 1.6;
	}

	p {
		text-transform: uppercase;
	}

	small {
		display: block;
		margin-bottom: 5px;
		font-weight: 400;
		text-transform: uppercase;
		font-size: 10px;
	}

	.product__inner {
		position: relative;
		background-color: #f6f6f6;
		height: 330px;
		display: flex;
		align-items: center;
		justify-content: center;
		cursor: pointer;
	}

	.product__content {
		position: absolute;
		top: 0;
		left: 0;
		bottom: 0;
		right: 0;
		z-index: 10;
		padding: 24px 21px 20px;
		border: 1px solid #000000;
		visibility: hidden;
		opacity: 0;
		transition: visibility .4s, opacity .4s;

		.btn {
			position: absolute;
			bottom: 28px;
			left: 50%;
			transform: translateX(-50%);
			padding: 6px 22px 4px;
		}
	}

	.product__image {
		transition: opacity .4s;
	}

	@media(min-width: 1025px) {
		.product__inner {
			&:hover {

				.product__content {
					visibility: visible;
					opacity: 1;
				}

				.product__image {
					opacity: 0.3;
				}
			}
		}
	}

	@media #{$mobile} {
		.product__content {
			padding: 29px 59px 20px;

			.btn {
				bottom: 23px;
			}
		}
	}
}

/* ------------------------------------------------------------ *\
	Products small
\* ------------------------------------------------------------ */

.products--small {
	.product--small + .product--small {
		margin-top: 22px;
	}

	@media #{$mobile} {
		.product--small + .product--small {
			margin-top: 19px;
		}
	}
}

/* ------------------------------------------------------------ *\
	Product small
\* ------------------------------------------------------------ */

.product--small {
	h6 {
		margin-bottom: 2px;
		font-size: 13px;
		font-weight: 400;
		text-transform: uppercase;
		letter-spacing: 0.06em;
		margin-top: -14px;
	}

	p {
		margin-top: -14px;
	}

	small {
		display: block;
		padding-left: 2px;
		font-size: 9px;
		font-weight: 400;
		text-transform: uppercase;
		line-height: 1.6;
		letter-spacing: 0.06em;
	}

	.product__image {
		margin-right: -3px;
		transition: opacity .4s;

		&:hover {
			opacity: .8;
		}
	}

	.row {
		align-items: center;
	}

	@media #{$mobile} {
		h6 {
			letter-spacing: 0.02em;
			margin-left: -7px;
		}

		small {
			position: relative;
			top: -6px;
			padding-left: 10px;
		}

		.product__image {
			margin-right: -10px;
		}
	}
}

/* ------------------------------------------------------------ *\
	Products tertiary
\* ------------------------------------------------------------ */

.products--tertiary {
	display: flex;

	.product--tertiary {
		flex: 0 0 50%;
		max-width: 50%;
	}
}

/* ------------------------------------------------------------ *\
	Product main secondary
\* ------------------------------------------------------------ */

.product--main-secondary {
	.product__image {
		position: relative;
		background-size: cover;
		background-position: center center;
		background-repeat: no-repeat;
		height: 334px;
		background-color: #f6f6f6;
		display: flex;
		align-items: center;
		justify-content: center;
		padding: 10px 20px;
	}

	.badge {
		position: absolute;
		top: 20px;
		left: 12px;
		display: inline-block;
		padding: 9px;
		border: 1px solid #000000;
		border-radius: 0;
		background-color: #ffffff;
		color: #000000;
		font-size: 13px;
		font-weight: 600;

		h6 {
			margin-bottom: 0;
			font-weight: 600;
		}
	}

	.list--tools {
		margin-bottom: 26px;
		padding: 0 20px;
	}

	@media #{$mobile} {
		display: flex;
		align-items: center;

		small {
			margin-bottom: 6px;
			display: block;
			font-size: 10px;
			font-weight: 400;
			text-transform: uppercase;
		}

		h6 {
			margin-bottom: 7px;
			font-size: 12px;
			font-weight: 600;
			padding-right: 15px;
			line-height: 1.55;
			text-transform: uppercase;
		}

		p {

		}

		.product__image {
			flex: 0 0 49%;
			max-width: 49%;
			order: 1;
			height: 211px;
		}

		.product__content {
			display: flex !important;
			align-items: center;
			position: relative;
			padding-left: 8px;
			flex: 0 0 51%;
			max-width: 51%;
			order: 2;
			height: 211px;
		}

		.list--tools {
			margin: 10px 0 0;
			padding: 0;
			position: absolute;
			bottom: 2px;
			left: 7px;

			.ico-close {
				display: none;
			}
		}
	}
}

/* ------------------------------------------------------------ *\
	Products tertiary
\* ------------------------------------------------------------ */

.products--tertiary {
	margin: 0 -10px;

	.product--tertiary {
		padding: 0 10px;
	}
}

/* ------------------------------------------------------------ *\
	Product tertiary
\* ------------------------------------------------------------ */

.product--tertiary {
	h6 {
		margin-bottom: 7px;
		font-size: 12px;
		font-weight: 600;
		line-height: 18px;
		text-transform: uppercase;
	}

	p {
		text-transform: uppercase;

		span + span {
			margin-left: 11px;
		}
	}

	small {
		margin-bottom: 1px;
		display: block;
		font-weight: 400;
		line-height: 18px;
		text-transform: uppercase;
		letter-spacing: -0.07em;
	}

	.product__image {
		position: relative;
		margin-bottom: 17px;
		display: flex;
		align-items: center;
		justify-content: center;
		height: 377px;
		background-color: #f6f6f6;
		transition: opacity .4s;

		&:hover {
			opacity: .8;
		}
	}

	.linethrough {
		text-decoration: line-through;
		opacity: 0.5;
		margin-left: 5px;
	}

	.badge--secondary {
		position: absolute;
		top: 17px;
		left: 20px;
		display: inline-block;
		border: 1px solid #000000;
		border-radius: 0;
		padding: 11px 11px;
		z-index: 10;

		h6 {
			margin-bottom: 0;
			font-size: 13px;
			font-weight: 600;
		}
	}
}

/* ------------------------------------------------------------ *\
	Products results
\* ------------------------------------------------------------ */

.products--results {
	margin-bottom: -69px !important;

	.product {
		margin-bottom: 69px;
	}

	@media #{$mobile} {
		margin-bottom: -33px !important;

		.product {
			margin-bottom: 33px;
		}
	}
}

/* ------------------------------------------------------------ *\
	Product tertiary main
\* ------------------------------------------------------------ */

.product--tertiary-main {
	.product__image {
		position: relative;

		&:hover {
			opacity: 1;
		}

		& > a {
			display: flex;
			align-items: center;
			justify-content: center;
			width: 100%;
			height: 100%;
			transition: opacity .4s;

			&:hover {
				opacity: .8;
			}
		}
	}

	.list--images {
		position: absolute;
		left: 0;
		bottom: 0;
		width: 100%;
		z-index: 10;
		background: #fff;
		padding: 13px;
	}
}
